usbimager(8)

NAME
usbimager - Simple GUI application to write compressed image files to USB devices and create backups

SYNOPSIS
usbimager [-Lxx] [-v|-vv] [-0..9] [-msize] [-a] [-f] [-s[baud]|-S[baud]] [-Fxlfd] <backup path>

DESCRIPTION
usbimager is a really really simple GUI application that writes compressed disk images to USB drives and creates backups. Its interface is as simple as it gets, totally bloat-free. Flags can be given separately (like "usbimager -v -s -2") or at once ("usbimager -2vs"), the order doesn't matter. For flags that set the same thing, only the last taken into account (for example "-124" is the same as "-4"). The first non-flag argument is used as the directory where the backups are saved.

OPTIONS

-Lxx
    The last two character of this flag can be "en", "es", "de", "fr" etc. Using this flag forces a specific language dictionary and avoids automatic detection. If there's no such dictionary, then English is used.

-v, -vv
    Enable verbose mode. usbimager will print out detailed information to the standard output, so run this from a terminal.

-0, -1, -2, -3, -4, -5, -6, -7, -8, -9
    These flags sets the buffer size to the power of two Megabytes (0 = 1M, 1 = 2M, 2 = 4M, 3 = 8M, ... 9 = 512M). When not specified, buffer size defaults to 1 Megabyte. The image file will be processed in this big chunks. Keep in mind that the actual memory requirement is threefold, because there's one buffer for the compressed data, one for the uncompressed data, and one for the data read back for verification.

-msize
    Specify the maximum disk size in Gigabytes. Disks larger than this will be considered too big and will be filtered out. For example -m1024 allows selecting all disks that are smaller than 1 Terrabyte. Defaults to 256G.

-a  List all devices, even the ones that are considered too big or normally filtered out as system disks.

-f  Force write. By default the data is read from the device, compared to the buffer, and only written if they differ. This is good for devices with limited write cycles, slow write speed, but fast reading. This flag turns this comparision off, and always writes the data.

-s | -s<baud>
    If you start with this flag, then usbimager will allow you to send images to serial ports as well. For this, your user has to be the member of the "uucp" or "dialout" groups (differs in distributions). In this mode the client must wait for the first byte, and then read the others with a timeout. When the timeout occurs, the image is received.

-S | -S<baud>
    Similar to the previous mode, but usbimager will do a raspbootin handshake on the serial line. It waits until the client sends three Ctrl+C ("\003\003\003"). Then it sends the size of the image in 4 bytes little-endian format. Then the client responds with 2 bytes, being either "OK" or "SE" (size error). If the response was OK, then usbimager sends the image. This mode is useful to send kernel images to Raspberry Pi computers.
    Valid baud rates: 57600, 115200, 230400, 460800, 500000, 576000, 921600, 1000000, 1152000, 1500000, 2000000, 2500000, 3000000, 3500000, 4000000

-Fxlfd
    X11 versions only. Normally the default (primary) X11 font is used, but some distros ship a default font with only Latin letters. In this case you can select the preferred X11 font with all the UNICODE glyphs manually using this flag. Only "iso-10646-1" encoding supported, for example:
    ./usbimager "-F-*-*-*-r-*-*-18-*-*-*-*-*-iso10646-1" -v
    Because missing X11 fonts is a constant problem, you can also compile USBImager to embed GNU Unifont, and then no X11 fonts and no fontconfig needed at all. This increases the binary about 512k. When Unifont is embedded, then this -F flag isn't available.

INTERFACE
There's only one window with the following fields:
1st row Image    selects the image file
2nd row Actions    "v Write" out image file or "^ Read" in backup
3rd row Device    selects the device
4th row Options    verify write, compress output and buffer size respectively
5th row Progress    the progress bar
6th row Status    textual operation status
Writing Image File to Device
1. select an image by clicking on "..." in the 1st row
2. select a device by clicking on the 3rd row
3. click on the first button (Write) in the 2nd row
Creating Backup Image File from Device
1. select a device by clicking on the 3rd row
2. click on the second button (Read) in the 2nd row
3. the image file will be saved on your Desktop, its name is in the 1st row
The generated image file will be saved on your Desktop, in the form "usbimager-(date)T(time).dd", using the current timestamp. If "Compress" option is checked, then a ".zst" suffix will be added, and the image will be compressed using ZStandard. If ~/Desktop is not found, then ~/Downloads will be used. If even that doesn't exists, then the image will be saved in your HOME directory.

ENVIRONMENT
LANG    used to detect the interface's language
HOME    to get the user's home directory
XDG_USER_DATA    to get the location of the recently used files bookmark
If XDG_USER_DATA is not set, then usbimager fallbacks to "$HOME/.local/share".

AUTHORS
libui: Pietro Gagliardi
bzip2: Julian R. Seward
xz: Igor Pavlov and Lasse Collin
zlib: Mark Adler
zstd: see http://www.zstd.net
zip format: bzt (no PKWARE-related lib nor source was used in this project)
usbimager: bzt

SEE ALSO
dd(1)

SOURCE
To get the source for usbimager visit https://gitlab.com/bztsrc/usbimager